/// <reference types="react" />
import { ExpressionValue } from "../../ExpressionValue";
import { XExecutionData } from "../../../Common/Data/ExecutionData/XExecutionData";
import { BaseStringExpression } from "./BaseString";
import { ITestingContext } from "../../../Common/Testing/ITestingContext";
export declare class StringTrimExpression extends BaseStringExpression {
    readonly __type: string;
    value1: ExpressionValue;
    constructor();
    render(): JSX.Element;
    evaluate(data: XExecutionData, testContext: ITestingContext | undefined): any;
}
